package inherit.v3;

import hibintro.util.HibernateUtil;

import java.text.ParseException;

import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Persisting a simple instance of {@link Figure}
 *
 */
public class Persist {

   /**
    * @param args not used.
    * @throws ParseException 
    */
   public static void main(String[] args) throws ParseException {
      final Session session = HibernateUtil.createSessionFactory("inherit/v3/hibernate.cfg.xml").openSession();

      final Transaction transaction = session.beginTransaction();
      {
         final Circle creditCard = new Circle(2.3, 1.8, 3.1);
         session.save(creditCard);
         
         final Rectangle bankAccount = new Rectangle(-2,-2, 1,2);
         session.save(bankAccount);
      }
      transaction.commit();
   }
}